# Generated by Django 3.1.3 on 2021-01-22 17:15

from django.db import migrations, models
import django.db.models.deletion
import finanztool.core.models.booking


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0083_auto_20210104_2140'),
    ]

    operations = [
        migrations.CreateModel(
            name='CashSettlement',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='Name')),
                ('beginning_date', models.DateField(help_text='Dieses Datum soll die Veranstaltung in einen zeitlichen Rahmen einordnen (z.B. das Datum des Festivalauftakts). \n                    Dieses Datum wird nur intern verwendet.', verbose_name='Veranstaltungsdatum')),
                ('cash_expenses', models.ManyToManyField(blank=True, to='core.ReceivedInvoice', verbose_name='Barausgaben')),
                ('cash_income', models.ManyToManyField(blank=True, to='core.IssuedInvoice', verbose_name='Bareinnahmen')),
            ],
            options={
                'verbose_name': 'Barabrechnung',
                'verbose_name_plural': 'Barabrechnungen',
            },
        ),
        migrations.CreateModel(
            name='CashTransfer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('internal_booking_number', models.CharField(max_length=255, verbose_name='Interne Buchungsnummer')),
                ('status', models.CharField(choices=[('new', 'Neu'), ('done', 'Erledigt'), ('sap_done', 'SAP verbucht'), ('cancelled', 'Storniert')], default='new', max_length=64, verbose_name='Status (nur intern)')),
                ('name', models.CharField(max_length=255, verbose_name='Name/Titel')),
                ('booking_date', models.DateField(blank=True, null=True, verbose_name='Buchungsdatum')),
                ('note', models.TextField(blank=True, verbose_name='Notiz (nur intern)')),
                ('amount', models.DecimalField(decimal_places=2, help_text='Dieses Feld gibt den Einzahlungsbetrag (positives Vorzeichen) bzw. Auszahlungsbetrag (negatives Vorzeichen) des Barabschlags an.', max_digits=21, verbose_name='Ein(Aus)zahlungsbetrag')),
                ('total_in_words', models.CharField(blank=True, max_length=255, verbose_name='Ein(Aus)zahlungsbetrag in Worten')),
                ('generated_file', models.FileField(blank=True, upload_to='', verbose_name='Anweisungsformular')),
                ('anual_plan', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.anualplan', verbose_name='Haushaltsplan')),
                ('cashsettlement', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='core.cashsettlement', verbose_name='Barabrechnung')),
                ('requester', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.requester', verbose_name='Interner Empfänger')),
            ],
            options={
                'verbose_name': 'Barabschlag',
                'verbose_name_plural': 'Barabschläge',
                'unique_together': {('anual_plan', 'internal_booking_number')},
            },
        ),
        migrations.CreateModel(
            name='ZeroSumBooking',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('internal_booking_number', models.CharField(max_length=255, verbose_name='Interne Buchungsnummer')),
                ('status', models.CharField(choices=[('new', 'Neu'), ('done', 'Erledigt'), ('sap_done', 'SAP verbucht'), ('cancelled', 'Storniert')], default='new', max_length=64, verbose_name='Status (nur intern)')),
                ('name', models.CharField(max_length=255, verbose_name='Name/Titel')),
                ('booking_date', models.DateField(blank=True, null=True, verbose_name='Buchungsdatum')),
                ('note', models.TextField(blank=True, verbose_name='Notiz (nur intern)')),
                ('data_file', models.FileField(blank=True, verbose_name='Rechnungen/Informationen')),
                ('anual_plan', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.anualplan', verbose_name='Haushaltsplan')),
                ('requester', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.requester', verbose_name='Interner Empfänger')),
            ],
            options={
                'verbose_name': 'Nullsummenbuchung',
                'verbose_name_plural': 'Nullsummenbuchungen',
                'unique_together': {('anual_plan', 'internal_booking_number')},
            },
        ),
        migrations.DeleteModel(
            name='Cashflow',
        ),
    ]
